## Tool: `get_notification_settings`

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Retrieves space notification preferences and mute state for a specific conversation (Google Chat space, group chat, or direct message) for the authenticated user.

Preconditions:

- `conversationId` is required (format: `spaces/{space}`).

Returned Notification Frequencies (`notificationSetting`):

- `ALL`: Notifications enabled for all messages.
- `MAIN_CONVERSATIONS`: Notifications enabled for main conversations only.
- `FOR_YOU`: Notifications enabled for @mentions, @all, and followed threads.
- `OFF`: Notifications turned off.

Returned Mute States (`muteSetting`):

- `UNMUTED`: Space is not muted.
- `MUTED`: Space is muted.

The following code sample shows how to use `curl` to call the `get_notification_settings` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://chatmcp.googleapis.com/mcp/v1' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_notification_settings", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

### GetNotificationSettingsRequest

| JSON representation |
|---|
| ``` { "conversationId": string } ``` |

| Fields ||
|---|---|
| `conversationId` | `string` Required. Resource name of the conversation, format: spaces/{space}. |

## Output Schema

Space notification settings for a user in Google Chat, specifying the user's notification frequency preference and mute status for a space.

### SpaceNotificationSetting

| JSON representation |
|---|
| ``` { "notificationSetting": enum (`https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/update_notification_settings#Input.Schema.NotificationSetting`), "muteSetting": enum (`https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/update_notification_settings#Input.Schema.MuteSetting`) } ``` |

| Fields ||
|---|---|
| `notificationSetting` | ``enum (`https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/update_notification_settings#Input.Schema.NotificationSetting`)`` Optional. Notification frequency preference for the space. |
| `muteSetting` | ``enum (`https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/update_notification_settings#Input.Schema.MuteSetting`)`` Optional. Whether the space is muted. |

### NotificationSetting

Space notification frequency options in Google Chat.

| Enums ||
|---|---|
| `NOTIFICATION_SETTING_UNSPECIFIED` | Unspecified notification setting. |
| `ALL` | The user receives notifications for all messages in the conversation. |
| `MAIN_CONVERSATIONS` | The user receives notifications for main conversations only. |
| `FOR_YOU` | The user receives notifications for mentions, @all, and followed threads. |
| `OFF` | The user receives no notifications for messages in the conversation. |

### MuteSetting

Mute status for a Google Chat conversation.

| Enums ||
|---|---|
| `MUTE_SETTING_UNSPECIFIED` | Unspecified mute setting. |
| `UNMUTED` | The conversation is unmuted. |
| `MUTED` | The conversation is muted. |

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌

## Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.users.spacesettings`